CRMchat APIBeta
Telegram APIUsers

users.getRequirementsToContact

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/users.getRequirementsToContact

Check whether we can write to the specified users, used to implement bulk checks for Premium-only messages » and paid messages ». For each input user, returns a RequirementToContact constructor (at the same offset in the vector) containing requirements to contact them.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Check whether we can write to the specified users, used to implement bulk checks for Premium-only messages » and paid messages ». For each input user, returns a RequirementToContact constructor (at the same offset in the vector) containing requirements to contact them.

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/users.getRequirementsToContact" \  -H "Content-Type: application/json" \  -d '{    "params": {      "id": [        {          "_": "inputUserEmpty"        }      ]    }  }'
{  "result": {    "_": "requirementToContactEmpty"  }}